Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class MultiInjector

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter<T>
          org.picocontainer.injectors.AbstractInjector<T>
              org.picocontainer.injectors.CompositeInjector
                  org.picocontainer.injectors.MultiInjector

All Implemented Interfaces:
  Serializable, ComponentAdapter, ComponentMonitorStrategy, Injector, LifecycleStrategy

    public class MultiInjector

extends CompositeInjector

Author:
  Paul Hammant
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector
`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.injectors.AbstractInjector
`lifecycleStrategy, parameters, verifyingGuard`

Constructor Summary
`MultiInjector(Object componentKey, Class componentImplementation, Parameter[] parameters, ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, String setterPrefix, boolean useNames)`

Method Summary
`String` | `getDescriptor()` Get a string key descriptor of the component adapter.

Methods inherited from class org.picocontainer.injectors.CompositeInjector
`accept, decorateComponentInstance, getComponentInstance, getComponentInstance, verify`

Methods inherited from class org.picocontainer.injectors.AbstractInjector
`box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, dispose, hasLifecycle, newInstance, start, stop, useNames`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentAdapter
`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

Constructor Detail

### MultiInjector

    public MultiInjector(Object componentKey,
                         Class componentImplementation,
                         Parameter[] parameters,
                         ComponentMonitor componentMonitor,
                         LifecycleStrategy lifecycleStrategy,
                         String setterPrefix,
                         boolean useNames)

Method Detail

### getDescriptor

    public String getDescriptor()

  Description copied from interface: `ComponentAdapter`
  Get a string key descriptor of the component adapter.

  Specified by:
    `getDescriptor` in interface `ComponentAdapter`
  Overrides:
    `getDescriptor` in class `CompositeInjector`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.